Bug 191622 - Review Request: perl-Expect - Expect for Perl
Review Request: perl-Expect - Expect for Perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 191623
  Show dependency treegraph
 
Reported: 2006-05-13 19:27 EDT by Jose Pedro Oliveira
Modified: 2010-03-17 14:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 12:51:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-13 19:27:49 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Expect.spec
SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Expect-1.16-1.src.rpm

Description: 
The Perl Expect module was inspired more by the functionality of
Tcl/Expect than any previous Expect-like tool such as Comm.pl or
chat2.pl.
Comment 1 Jason Tibbitts 2006-05-16 14:13:32 EDT
That description is really suboptimal.  How about something like this, partially
stolen from the original Expect description:

This module provides Expect-like functionality to Perl.  Expect is a tool for
automating interactive applications such as telnet, ftp, passwd, fsck, rlogin,
tip, etc.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   f5f0ea179c6f19d9f08e22c6a0072292  Expect-1.16.tar.gz
   f5f0ea179c6f19d9f08e22c6a0072292  Expect-1.16.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   Passed 36 of 36 tests.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, but please fix the description before checking in.
Comment 2 Jose Pedro Oliveira 2006-05-16 14:41:35 EDT
(In reply to comment #1)
> That description is really suboptimal.  How about something like this, partially
> stolen from the original Expect description:
> 
> This module provides Expect-like functionality to Perl.  Expect is a tool for
> automating interactive applications such as telnet, ftp, passwd, fsck, rlogin,
> tip, etc.

Done.

Importing the new SRPM (updated specfile in same location) 
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Expect-1.16-2.src.rpm
Comment 3 Jose Pedro Oliveira 2006-05-17 12:51:31 EDT
Thanks for the review.

Imported and built for FC-5 and devel.
Comment 4 Mark Chappell 2010-03-17 12:12:43 EDT
Package Change Request
======================
Package Name: perl-Expect
New Branches: EL-5
Owners: tremble    

From IRC:

16:06 < tremble> cweyl: Any chance of perl-Expect for EPEL ?
16:07 < cweyl> tremble: probably not from me :)  If you want to branch and own the EPEL bits, I'm ok with that
Comment 5 Kevin Fenzi 2010-03-17 14:01:25 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.